# Godot WPGTK Theme Plugin

## What is this?
This is a plugin for Godot Engine that was made to use with [WPGTK](https://github.com/deviantfero/wpgtk) package available for Linux to change the editors color scheme.

Technically speaking, it is a plugin that listens to the 'config/wpgtk-colors.txt' configuration file and updates the editor's theme accordingly, so in theory any application that can change the contents of that file will also work, but the installation guide here is only for setting it up with WPGTK.

## Prerequisites
- Linux with [WPGTK](https://github.com/deviantfero/wpgtk) installed
- Godot Engine 4.0 or later

## Installation
### Option 1: Git repository
1. Clone or download this repository and copy the addons/wpgtk_theme folder to the addons folder of your Godot project.
2. Enable the plugin in the project settings.

### Option 2: Asset Library
1. Search for "WPGTK Theme" in the Asset Library tab of the editor.
2. Click on the "Download" button.
3. Enable the plugin in the project settings.

### Setup
1. Open WPGTK and select 'Add Template'.
2. Find the folder of the current godot project and select the file `addons/config/wpgtk-colors.txt`.
3. Copy the contents of 'addons/config/wpgtk-colots.base' to the newly created base file in your WPGTK config templates folder (This is usually '~/.config/wpg/templates').
4. Use WPGTK to set your colors. The editor will update automatically.